Package be.fgov.ehealth.standards.kmehr.cd.v1

# Enum Class CDMEDIATYPEvalues

java.lang.Object
java.lang.Enum<CDMEDIATYPEvalues>
be.fgov.ehealth.standards.kmehr.cd.v1.CDMEDIATYPEvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDMEDIATYPEvalues>`, `java.lang.constant.Constable`

public enum CDMEDIATYPEvalues extends Enum<CDMEDIATYPEvalues>

Java class for CD-MEDIATYPEvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-MEDIATYPEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="application/msword"/>
         <enumeration value="application/pdf"/>
         <enumeration value="audio/basic"/>
         <enumeration value="audio/k32adpcm"/>
         <enumeration value="audio/mp3"/>
         <enumeration value="image/g3fax"/>
         <enumeration value="image/gif"/>
         <enumeration value="image/jpeg"/>
         <enumeration value="image/png"/>
         <enumeration value="image/tiff"/>
         <enumeration value="model/vrml"/>
         <enumeration value="multipart/x-hl7-cda-level1"/>
         <enumeration value="text/html"/>
         <enumeration value="text/plain"/>
         <enumeration value="text/rtf"/>
         <enumeration value="text/sgml"/>
         <enumeration value="text/x-hl7-ft"/>
         <enumeration value="text/xml"/>
         <enumeration value="video/mpeg"/>
         <enumeration value="video/x-avi"/>
         <enumeration value="kmb/transaction"/>
         <enumeration value="image/dicom"/>
         <enumeration value="application/hl7-sda+xml"/>
         <enumeration value="application/rtf"/>
         <enumeration value="application/fhir+json"/>
         <enumeration value="application/fhir+xml"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPLICATION_FHIR_JSON`
  `APPLICATION_FHIR_XML`
  `APPLICATION_HL_7_SDA_XML`
  `APPLICATION_MSWORD`
  `APPLICATION_PDF`
  `APPLICATION_RTF`
  `AUDIO_BASIC`
  `AUDIO_K_32_ADPCM`
  `AUDIO_MP_3`
  `IMAGE_DICOM`
  `IMAGE_G_3_FAX`
  `IMAGE_GIF`
  `IMAGE_JPEG`
  `IMAGE_PNG`
  `IMAGE_TIFF`
  `KMB_TRANSACTION`
  `MODEL_VRML`
  `MULTIPART_X_HL_7_CDA_LEVEL_1`
  `TEXT_HTML`
  `TEXT_PLAIN`
  `TEXT_RTF`
  `TEXT_SGML`
  `TEXT_X_HL_7_FT`
  `TEXT_XML`
  `VIDEO_MPEG`
  `VIDEO_X_AVI`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDMEDIATYPEvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDMEDIATYPEvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDMEDIATYPEvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### APPLICATION_MSWORD

    public static final CDMEDIATYPEvalues APPLICATION_MSWORD

  - ### APPLICATION_PDF

    public static final CDMEDIATYPEvalues APPLICATION_PDF

  - ### AUDIO_BASIC

    public static final CDMEDIATYPEvalues AUDIO_BASIC

  - ### AUDIO_K_32_ADPCM

    public static final CDMEDIATYPEvalues AUDIO_K_32_ADPCM

  - ### AUDIO_MP_3

    public static final CDMEDIATYPEvalues AUDIO_MP_3

  - ### IMAGE_G_3_FAX

    public static final CDMEDIATYPEvalues IMAGE_G_3_FAX

  - ### IMAGE_GIF

    public static final CDMEDIATYPEvalues IMAGE_GIF

  - ### IMAGE_JPEG

    public static final CDMEDIATYPEvalues IMAGE_JPEG

  - ### IMAGE_PNG

    public static final CDMEDIATYPEvalues IMAGE_PNG

  - ### IMAGE_TIFF

    public static final CDMEDIATYPEvalues IMAGE_TIFF

  - ### MODEL_VRML

    public static final CDMEDIATYPEvalues MODEL_VRML

  - ### MULTIPART_X_HL_7_CDA_LEVEL_1

    public static final CDMEDIATYPEvalues MULTIPART_X_HL_7_CDA_LEVEL_1

  - ### TEXT_HTML

    public static final CDMEDIATYPEvalues TEXT_HTML

  - ### TEXT_PLAIN

    public static final CDMEDIATYPEvalues TEXT_PLAIN

  - ### TEXT_RTF

    public static final CDMEDIATYPEvalues TEXT_RTF

  - ### TEXT_SGML

    public static final CDMEDIATYPEvalues TEXT_SGML

  - ### TEXT_X_HL_7_FT

    public static final CDMEDIATYPEvalues TEXT_X_HL_7_FT

  - ### TEXT_XML

    public static final CDMEDIATYPEvalues TEXT_XML

  - ### VIDEO_MPEG

    public static final CDMEDIATYPEvalues VIDEO_MPEG

  - ### VIDEO_X_AVI

    public static final CDMEDIATYPEvalues VIDEO_X_AVI

  - ### KMB_TRANSACTION

    public static final CDMEDIATYPEvalues KMB_TRANSACTION

  - ### IMAGE_DICOM

    public static final CDMEDIATYPEvalues IMAGE_DICOM

  - ### APPLICATION_HL_7_SDA_XML

    public static final CDMEDIATYPEvalues APPLICATION_HL_7_SDA_XML

  - ### APPLICATION_RTF

    public static final CDMEDIATYPEvalues APPLICATION_RTF

  - ### APPLICATION_FHIR_JSON

    public static final CDMEDIATYPEvalues APPLICATION_FHIR_JSON

  - ### APPLICATION_FHIR_XML

    public static final CDMEDIATYPEvalues APPLICATION_FHIR_XML

- ## Method Details

  - ### values

    public static CDMEDIATYPEvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDMEDIATYPEvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDMEDIATYPEvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.